---
- name: A-Team Pipeline | k8s | Create robot service account
  kubernetes.core.k8s:
    api_key: "{{ ocp_key }}"
    host: "{{ ocp_host }}"
    validate_certs: "{{ validate_certs }}"
    state: present
    definition:
      apiVersion: v1
      kind: ServiceAccount
      metadata:
        name: robot
        namespace: "{{ ocp_ns }}"

- name: A-Team Pipeline | k8s | Set policy role for robot service account
  kubernetes.core.k8s:
    api_key: "{{ ocp_key }}"
    host: "{{ ocp_host }}"
    validate_certs: "{{ validate_certs }}"
    state: present
    definition:
      apiVersion: rbac.authorization.k8s.io/v1
      kind: RoleBinding
      metadata:
        name: cluster-admin-robot
        namespace: "{{ ocp_ns }}"
      roleRef:
        apiGroup: rbac.authorization.k8s.io
        kind: ClusterRole
        name: cluster-admin
      subjects:
        - kind: ServiceAccount
          name: robot
          namespace: "{{ ocp_ns }}"

- name: A-Team Pipeline | k8s | LimitRanges
  kubernetes.core.k8s:
    api_key: "{{ ocp_key }}"
    host: "{{ ocp_host }}"
    validate_certs: "{{ validate_certs }}"
    state: present
    definition:
      apiVersion: v1
      kind: LimitRange
      metadata:
        name: resource-limits
        namespace: "{{ ocp_ns }}"
      spec:
        limits:
          - type: Pod
            max:
              memory: "1Gi"
            min:
              memory: "16Mi"
          - type: Container
            default:
              memory: "64Mi"
            defaultRequest:
              memory: "64Mi"
